import sys

with open(sys.argv[1]) as f:
    numbers = list(map(int, f.readlines()))

def part1(numbers):
    return sum(1 for (cur, prev) in zip(numbers[1:], numbers) if cur > prev)

def part2(numbers):
    return part1([sum(x) for x in zip(numbers, numbers[1:], numbers[2:])])

print(part1(numbers))
print(part2(numbers))
